=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

debian/kradio.xpm: kradio3/icons/hi32-app-kradio.png
	convert $< $@

configure:
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cat /usr/share/aclocal/libtool.m4 > admin/libtool.m4.in
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess

	make -f admin/Makefile.common

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/opt/trinity --with-qt-dir=/usr/share/qt3 \
		--with-qt-includes=/usr/include/qt3 \
		--with-qt-libraries=/usr/share/qt3/lib \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-rpath --disable-debug \
		kde_htmldir=\$${prefix}/share/doc/tde/HTML
															


build: build-stamp debian/kradio.xpm

build-stamp:  config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f debian/debiandirs 
	rm -f debian/kradio.xpm 
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
#	[ ! -kradio3/src && $(MAKE) clean
	for i in `find | grep .gmo` ; do rm -f $$i ; done
	find -name Makefile.in -delete
	rm -f config.sub config.guess configure
	rm -f acinclude.m4
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/kradio.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kradio-trinity
	install -D -m 644 debian/kradio.xpm debian/kradio-trinity/opt/trinity/share/pixmaps/kradio.xpm
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libalsa-sound.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libtimeshifter.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libstandard-display.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/liblirc.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libstreaming.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libradio.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libquickbar.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/librecording.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libv4lradio.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libtimecontrol.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libdocking-menu.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/liboss-sound.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/liberror-log.so
#	chrpath -d debian/kradio/usr/lib/kradio/plugins/libsoundserver.so
#	chrpath -d debian/kradio/usr/bin/convert-presets
#	chrpath -d debian/kradio/usr/bin/kradio

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs kradio3/ChangeLog
	dh_installdocs 
	dh_installmenu
	dh_installman
	mv debian/kradio-trinity/usr/share/man debian/kradio-trinity/opt/trinity/share/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
